org.apache.ignite.internal.processors.cache.persistence.checkpoint

## Class CheckpointStatus

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.checkpoint.CheckpointStatus

    public class CheckpointStatus
    extends Object

Checkpoint status which was restored from disk on node start.

### Field Summary

Fields
`UUID` `cpEndId` Checkpoint end id.
`UUID` `cpStartId` Checkpoint start id.
`long` `cpStartTs` Checkpoint start timestamp.
`WALPointer` `endPtr` Checkpoint end pointer.
`static WALPointer` `NULL_PTR` Null WAL pointer.
`static UUID` `NULL_UUID` Null checkpoint UUID.
`WALPointer` `startPtr` Checkpoint start pointer.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `needRestoreMemory()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NULL_UUID

    public static final UUID NULL_UUID

Null checkpoint UUID.

#### NULL_PTR

    public static final WALPointer NULL_PTR

Null WAL pointer.

#### cpStartTs

    public long cpStartTs

Checkpoint start timestamp.

#### cpStartId

    public UUID cpStartId

Checkpoint start id.

#### startPtr

    @GridToStringInclude
    public WALPointer startPtr

Checkpoint start pointer.

#### cpEndId

    public UUID cpEndId

Checkpoint end id.

#### endPtr

    @GridToStringInclude
    public WALPointer endPtr

Checkpoint end pointer.

### Method Detail

#### needRestoreMemory

    public boolean needRestoreMemory()

Returns:
  `True` if need perform binary memory recovery. Only records `PageDeltaRecord` and `PageSnapshot` needs to be applyed from `cpStartId`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021